<template>
  <Pie v-if="labels.length > 0 && data.length > 0" :data="chartData" :options="chartOptions"> </Pie>
  <span v-else class="d-flex align-center justify-center text-grey ma-12"><h3>No Data</h3></span>
</template>

<script setup lang="ts">
import Chart from 'chart.js/auto'
import { Pie } from 'vue-chartjs'
import { computed } from 'vue'
Chart.register()

const props = defineProps<{
  labels: string[]
  data: Array<any>
}>()

const chartData = computed(() => ({
  labels: props.labels,
  datasets: [
    {
      backgroundColor: ['#38220f', '#634832', '#967259', '#dbc1ac', '	#ece0d1'],
      label: 'Sales',
      data: props.data
    }
  ]
}))

const chartOptions = computed(() => ({
  layout: {
    autoPadding: true
  },
  responsive: true,
  maintainAspectRatio: true,
  plugins: {
    colors: {
      enabled: true
    },
    legend: {
      labels: {
        color: '#fff',
        usePointStyle: true,
        pointStyle: 'circle'
      }
    }
  }
}))
</script>
